import serial
import serial.tools.list_ports as ports


def sendAF(port):
    ser = serial.Serial(port, 115200)

    num = 0x69
    packet = bytearray([num])

    ser.write(packet)
    ser.close()


def readBlock(port, n):
    ser = serial.Serial(port, 115200)

    for _ in range(n):
        num = ser.read()

        print(num.hex())

    ser.close()

if __name__ == '__main__':
    print(list(map(lambda x: x.device, ports.comports())))
    sendAF('COM3')
    #readBlock('COM3', 5)
